Bug 1860978 (CVE-2020-15705) - CVE-2020-15705 grub2: Fail kernel validation without shim protocol
Summary: CVE-2020-15705 grub2: Fail kernel validation without shim protocol
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-15705
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1860997 1860998 1860999 1861000 1861002 1861003 1861004 1861005 1861006 1861007 1861008 1863021
Blocks: 1852004
TreeView+ depends on / blocked
 
Reported: 2020-07-27 15:23 UTC by Marco Benatto
Modified: 2020-08-03 13:45 UTC (History)
5 users (show)

Fixed In Version: grub 2.06
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-29 19:28:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3216 None None None 2020-07-29 18:30:55 UTC
Red Hat Product Errata RHSA-2020:3217 None None None 2020-07-29 19:34:10 UTC
Red Hat Product Errata RHSA-2020:3223 None None None 2020-07-29 19:38:15 UTC
Red Hat Product Errata RHSA-2020:3227 None None None 2020-07-29 20:14:52 UTC
Red Hat Product Errata RHSA-2020:3271 None None None 2020-08-03 11:52:50 UTC
Red Hat Product Errata RHSA-2020:3273 None None None 2020-08-03 10:57:14 UTC
Red Hat Product Errata RHSA-2020:3274 None None None 2020-08-03 12:06:09 UTC
Red Hat Product Errata RHSA-2020:3275 None None None 2020-08-03 11:14:18 UTC
Red Hat Product Errata RHSA-2020:3276 None None None 2020-08-03 12:02:49 UTC

Description Marco Benatto 2020-07-27 15:23:06 UTC
If certificates that signed grub are installed into db, grub can be booted directly. It will then boot any kernel without signature validation. The booted kernel will think it was booted in secureboot mode and will implement lockdown, yet it could have been tampered.

Comment 1 errata-xmlrpc 2020-07-29 18:30:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3216 https://access.redhat.com/errata/RHSA-2020:3216

Comment 2 Product Security DevOps Team 2020-07-29 19:28:11 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-15705

Comment 3 errata-xmlrpc 2020-07-29 19:34:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:3217 https://access.redhat.com/errata/RHSA-2020:3217

Comment 4 errata-xmlrpc 2020-07-29 19:38:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3223 https://access.redhat.com/errata/RHSA-2020:3223

Comment 5 errata-xmlrpc 2020-07-29 20:14:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3227 https://access.redhat.com/errata/RHSA-2020:3227

Comment 6 errata-xmlrpc 2020-08-03 10:57:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.2 Advanced Update Support

Via RHSA-2020:3273 https://access.redhat.com/errata/RHSA-2020:3273

Comment 7 errata-xmlrpc 2020-08-03 11:14:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Advanced Update Support
  Red Hat Enterprise Linux 7.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.4 Telco Extended Update Support

Via RHSA-2020:3275 https://access.redhat.com/errata/RHSA-2020:3275

Comment 8 errata-xmlrpc 2020-08-03 11:52:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Extended Update Support

Via RHSA-2020:3271 https://access.redhat.com/errata/RHSA-2020:3271

Comment 9 errata-xmlrpc 2020-08-03 12:02:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.3 Advanced Update Support
  Red Hat Enterprise Linux 7.3 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.3 Telco Extended Update Support

Via RHSA-2020:3276 https://access.redhat.com/errata/RHSA-2020:3276

Comment 10 errata-xmlrpc 2020-08-03 12:06:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2020:3274 https://access.redhat.com/errata/RHSA-2020:3274

Comment 11 Marco Benatto 2020-08-03 13:45:54 UTC
Created grub2 tracking bugs for this issue:

Affects: fedora-all [bug 1863021]


Note You need to log in before you can comment on or make changes to this bug.